public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/csound/
Date: Tue, 13 Feb 2018 21:28:41 +0000 (UTC)	[thread overview]
Message-ID: <1518557151.2eff6c67fb2f2e265c3210da83cfe891da567e8f.radhermit@gentoo> (raw)

commit:     2eff6c67fb2f2e265c3210da83cfe891da567e8f
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 13 08:39:30 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Tue Feb 13 21:25:51 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2eff6c67

media-sound/csound: version bump to 6.10.0

 media-sound/csound/Manifest             |   3 +
 media-sound/csound/csound-6.10.0.ebuild | 228 ++++++++++++++++++++++++++++++++
 2 files changed, 231 insertions(+)

diff --git a/media-sound/csound/Manifest b/media-sound/csound/Manifest
index 102028d8861..e41d387d163 100644
--- a/media-sound/csound/Manifest
+++ b/media-sound/csound/Manifest
@@ -1,4 +1,7 @@
 DIST Csound6.09.1_manual_html.zip 15537547 BLAKE2B 8864cd42e811c596b1c17c68d0552edff39437412ce828772cf8cf13f47390d0edc25fa9a85ecfe1a50a01fe592cb0ee27ce5a11679195f8c1b41da9b1ede8cd SHA512 8ddd821737b003d277eadf5b966907314ee50380ab5cc7b9716588d1bcfac8950f591e076752650508c924d1068bac0334523a3d3b869a4f6d4118b822003afd
 DIST Csound6.09.1_manual_pdf.zip 8647957 BLAKE2B 52209784a08c67284a6481d17eaef8db2abf03f068bf347a40b06d4ba323389371474cb87fd93a318fe6abadeb69afd060be0aa64fdd2b638172ef33a282386a SHA512 1dd2c0058751fe1f176a51741380884db115bdb52416512882c43212fd5ded1c489cc9c423059c1154a1e01528e7bf6e70621eac6ee83a1a4b5e2388ab85ae1b
+DIST Csound6.10.0_manual_html.zip 15944722 BLAKE2B dfb2d00650e8d9ff650c60a5601b63446d0ce6d94eeac54812752039ef1b7c8c161a7694cb3381453f86759a810b81754e99cf5c8805cee61171c24a615114ab SHA512 f61f46705607eb39897fd3b27353fb233acd9da5e00a2b64d63116f74b889f2daafa72d48ed7c5ec1890e32d81331f91455861f2cb3fad3d13b7d27ec203357a
+DIST Csound6.10.0_manual_pdf.zip 8687461 BLAKE2B ff738378e10ce7e3fd9ab44bed67fdbf4a1de62d89d738a35fd46f25996d85dd8e97260af31bb2fbfe199aecd3f16f0adb5bf94d9a15807d6424002d7ab9682c SHA512 cf6ec335782032fb0703a3042c0222316cd215eba2be242e65d4f1ae23d886177620c96cc63c1aace43a72c1d6258a88612c1ffd5ef0e43675729bae39969fa1
 DIST csound-6.08.0.tar.gz 33948686 BLAKE2B 6a81e5806420b63ffd487d71d507d34336c46e91ec7073b4805324d04af31101c1ea65142f22aae2de071f149eb8fe4c88547b6795462aea248b585d029bad6c SHA512 22237f7c8ac875fd44789a729f5513dd7f751bbe0446b8a6e43c6a824b1c40978ef051122632af0c3975761fa7f873c01e88b9de7be313d9d23be09ed52c29ca
 DIST csound-6.09.1.tar.gz 41969942 BLAKE2B 87dd02f61346f95648391c405edc18d08edad9d33c1cd2ab2cf054e0f10b7f987aaedce698a18520a8d8559d1fd78a20fa4f3d7db99e6afb3fdba316207e0495 SHA512 c82d3e4fa5fba2c47f916ee102ba841477a819e1905e578089474ce5a7c4a4e70c4ec2768337621fcd2e3843af9b1129ce50f4a4fd3c33bfa27da52815b99454
+DIST csound-6.10.0.tar.gz 42036496 BLAKE2B 4305eb2aedb076f4a4079e1353f05f9ffe6159311fe905a11998f80eab9ccbbfe57c0601b94762480c486f8edbe0aa0f9b20d18f4db8f9f49d6466a7b2ef4697 SHA512 1ccf0a2d5273da016ec585e788e4af0b91f55c3be081a51c53dc39b0fbcfba0cf1308828784a1e5dfc39250dedbd3f4b48afbb5c4140c11fd469ca6753702ed4

diff --git a/media-sound/csound/csound-6.10.0.ebuild b/media-sound/csound/csound-6.10.0.ebuild
new file mode 100644
index 00000000000..5906af36652
--- /dev/null
+++ b/media-sound/csound/csound-6.10.0.ebuild
@@ -0,0 +1,228 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit java-pkg-opt-2 toolchain-funcs python-single-r1 cmake-utils
+
+if [[ ${PV} == "9999" ]]; then
+	EGIT_REPO_URI="https://github.com/csound/csound.git"
+	inherit git-r3
+else
+	DOC_P="Csound${PV}"
+	SRC_URI="https://github.com/csound/csound/archive/${PV}.tar.gz -> ${P}.tar.gz
+		doc? (
+			https://github.com/csound/csound/releases/download/${PV}/${DOC_P}_manual_pdf.zip
+			https://github.com/csound/csound/releases/download/${PV}/${DOC_P}_manual_html.zip
+		)"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A sound design and signal processing system for composition and performance"
+HOMEPAGE="https://csound.github.io/"
+
+LICENSE="LGPL-2.1 doc? ( FDL-1.2+ )"
+SLOT="0"
+IUSE="+alsa beats chua csoundac curl +cxx debug doc double-precision dssi examples
+fltk +fluidsynth +image jack java keyboard linear lua luajit nls osc openmp
+portaudio portmidi pulseaudio python samples score static-libs stk tcl test
++threads +utils vim-syntax websocket"
+
+IUSE_LANGS=" de en_US es es_CO fr it ro ru"
+
+REQUIRED_USE="
+	csoundac? ( || ( lua python ) )
+	java? ( cxx )
+	linear? ( double-precision )
+	lua? ( cxx )
+	python? ( ${PYTHON_REQUIRED_USE} cxx )
+"
+
+RDEPEND="
+	>=media-libs/libsndfile-1.0.16
+	media-libs/libsamplerate
+	alsa? ( media-libs/alsa-lib )
+	csoundac? (
+		x11-libs/fltk:1[threads?]
+		dev-cpp/eigen:3
+		dev-libs/boost:=
+	)
+	curl? ( net-misc/curl )
+	dssi? (
+		media-libs/dssi
+		media-libs/ladspa-sdk
+	)
+	fluidsynth? ( media-sound/fluidsynth )
+	fltk? ( x11-libs/fltk:1[threads?] )
+	image? ( media-libs/libpng:0= )
+	jack? ( media-sound/jack-audio-connection-kit )
+	java? ( virtual/jdk:* )
+	keyboard? ( x11-libs/fltk:1[threads?] )
+	linear? ( sci-mathematics/gmm )
+	lua? (
+		luajit? ( dev-lang/luajit:2 )
+		!luajit? ( dev-lang/lua:0 )
+	)
+	osc? ( media-libs/liblo )
+	portaudio? ( media-libs/portaudio )
+	portmidi? ( media-libs/portmidi )
+	pulseaudio? ( media-sound/pulseaudio )
+	python? ( ${PYTHON_DEPS} )
+	stk? ( media-libs/stk )
+	tcl? (
+		>=dev-lang/tcl-8.5:0=
+		>=dev-lang/tk-8.5:0=
+	)
+	utils? ( !media-sound/snd )
+	websocket? ( net-libs/libwebsockets )
+"
+DEPEND="${RDEPEND}
+	sys-devel/flex
+	virtual/yacc
+	chua? ( dev-libs/boost )
+	csoundac? ( dev-lang/swig )
+	nls? ( sys-devel/gettext )
+	test? (
+		dev-util/cunit
+		${PYTHON_DEPS}
+	)
+"
+
+if [[ ${PV} != "9999" ]]; then
+	DEPEND+="doc? ( app-arch/unzip )"
+fi
+
+# requires specific alsa settings
+RESTRICT="test"
+
+pkg_pretend() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+	[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+	if use python || use test ; then
+		python-single-r1_pkg_setup
+	fi
+}
+
+src_prepare() {
+	cmake-utils_src_prepare
+
+	sed -e '/set(PLUGIN_INSTALL_DIR/s/-${APIVERSION}//' \
+		-e '/-O3/d' \
+		-i CMakeLists.txt || die
+
+	local lang
+	for lang in ${IUSE_LANGS} ; do
+		if ! has ${lang} ${LINGUAS-${lang}} ; then
+			sed -i "/compile_po(${lang}/d" po/CMakeLists.txt || die
+		fi
+	done
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSE_ALSA=$(usex alsa)
+		-DBUILD_CSBEATS=$(usex beats)
+		-DBUILD_CHUA_OPCODES=$(usex chua)
+		-DBUILD_CSOUND_AC=$(usex csoundac)
+		-DBUILD_CSOUND_AC_LUA_INTERFACE=$(usex csoundac $(usex lua))
+		-DBUILD_CSOUND_AC_PYTHON_INTERFACE=$(usex csoundac $(usex python))
+		-DBUILD_CXX_INTERFACE=$(usex cxx)
+		-DUSE_CURL=$(usex curl)
+		-DNEW_PARSER_DEBUG=$(usex debug)
+		-DUSE_DOUBLE=$(usex double-precision)
+		-DBUILD_DSSI_OPCODES=$(usex dssi)
+		-DBUILD_FLUID_OPCODES=$(usex fluidsynth)
+		-DUSE_FLTK=$(usex fltk)
+		-DBUILD_IMAGE_OPCODES=$(usex image)
+		-DUSE_JACK=$(usex jack)
+		-DBUILD_JACK_OPCODES=$(usex jack)
+		-DBUILD_JAVA_INTERFACE=$(usex java)
+		-DBUILD_VIRTUAL_KEYBOARD=$(usex keyboard)
+		-DBUILD_LINEAR_ALGEBRA_OPCODES=$(usex linear)
+		-DBUILD_LUA_OPCODES=$(usex lua)
+		-DBUILD_LUA_INTERFACE=$(usex lua)
+		-DUSE_GETTEXT=$(usex nls)
+		-DBUILD_OSC_OPCODES=$(usex osc)
+		-DUSE_OPEN_MP=$(usex openmp)
+		-DUSE_PORTAUDIO=$(usex portaudio)
+		-DUSE_PORTMIDI=$(usex portmidi)
+		-DUSE_PULSEAUDIO=$(usex pulseaudio)
+		-DBUILD_PYTHON_OPCODES=$(usex python)
+		-DBUILD_PYTHON_INTERFACE=$(usex python)
+		-DSCORE_PARSER=$(usex score)
+		-DBUILD_STATIC_LIBRARY=$(usex static-libs)
+		-DBUILD_STK_OPCODES=$(usex stk)
+		-DBUILD_TESTS=$(usex test)
+		-DBUILD_STATIC_LIBRARY=$(usex test)
+		-DBUILD_TCLCSOUND=$(usex tcl)
+		-DBUILD_MULTI_CORE=$(usex threads)
+		-DBUILD_UTILITIES=$(usex utils)
+		-DBUILD_WEBSOCKET_OPCODE=$(usex websocket)
+		-DNEED_PORTTIME=OFF
+		-DBUILD_RELEASE=ON
+	)
+
+	use python && mycmakeargs+=(
+		-DPYTHON_MODULE_INSTALL_DIR="$(python_get_sitedir)"
+	)
+
+	[[ $(get_libdir) == "lib64" ]] && mycmakeargs+=(
+		-DUSE_LIB64=ON
+	)
+
+	cmake-utils_src_configure
+}
+
+src_install() {
+	cmake-utils_src_install
+	dodoc -r Release_Notes/.
+
+	# generate env.d file
+	cat > "${T}"/62${PN} <<-_EOF_ || die
+		OPCODEDIR$(usex double-precision 64 '')="${EPREFIX}/usr/$(get_libdir)/${PN}/plugins$(usex double-precision 64 '')"
+		CSSTRNGS="${EPREFIX}/usr/share/locale"
+	_EOF_
+	if use stk ; then
+		echo RAWWAVE_PATH=\"${EPREFIX}/usr/share/csound/rawwaves\" >> "${T}"/62${PN} || die
+	fi
+	doenvd "${T}"/62${PN}
+
+	if use examples ; then
+		dodoc -r examples
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+
+	use samples && dodoc -r samples
+
+	if use vim-syntax ; then
+		insinto /usr/share/vim/vimfiles/syntax
+		doins installer/misc/vim/csound_{csd,orc,sco}.vim
+		insinto /usr/share/vim/vimfiles/plugin
+		doins installer/misc/vim/csound.vim
+	fi
+
+	# rename extract to csound_extract (bug #247394)
+	mv "${ED%/}"/usr/bin/{,csound_}extract || die
+
+	use python && python_optimize
+
+	# install docs
+	if [[ ${PV} != "9999" ]] && use doc ; then
+		dodoc "${WORKDIR}"/*.pdf
+		dodoc -r "${WORKDIR}"/html
+	fi
+}
+
+pkg_postinst() {
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog
+		elog "The extract tool is now installed as csound_extract"
+		elog "due to collisions with many other packages (bug #247394)."
+		elog
+	fi
+}


             reply	other threads:[~2018-02-13 21:28 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-13 21:28 Tim Harder [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-12  4:22 [gentoo-commits] repo/gentoo:master commit in: media-sound/csound/ Eli Schwartz
2024-08-12  4:22 Eli Schwartz
2024-07-30  9:18 Pacho Ramos
2024-07-30  9:18 Pacho Ramos
2024-07-30  9:18 Pacho Ramos
2024-01-20 21:22 Conrad Kostecki
2023-06-19  6:47 Miroslav Šulc
2023-05-29 13:11 Andreas Sturmlechner
2022-08-01 22:12 Sam James
2022-08-01  8:01 Agostino Sarubbo
2022-07-17  3:39 Miroslav Šulc
2022-07-01  9:38 Miroslav Šulc
2022-07-01  9:38 Miroslav Šulc
2021-10-28 19:56 Miroslav Šulc
2021-08-18 12:58 Agostino Sarubbo
2021-08-18 12:46 Agostino Sarubbo
2021-08-01 23:49 Sam James
2021-07-18  7:04 Miroslav Šulc
2021-07-15  7:42 Agostino Sarubbo
2021-07-15  7:38 Agostino Sarubbo
2021-06-30 11:44 Miroslav Šulc
2021-06-13  8:01 Miroslav Šulc
2021-05-16  6:41 Miroslav Šulc
2021-05-15 17:56 Sam James
2021-05-15 17:55 Sam James
2021-03-12 15:59 Miroslav Šulc
2021-02-13 18:09 Miroslav Šulc
2021-02-13 18:09 Miroslav Šulc
2020-09-18 10:04 Miroslav Šulc
2020-09-18  8:26 Agostino Sarubbo
2020-09-18  7:29 Agostino Sarubbo
2020-08-11 14:23 Agostino Sarubbo
2020-08-10 13:09 Agostino Sarubbo
2020-07-08  8:02 Miroslav Šulc
2020-02-08  0:43 Miroslav Šulc
2019-12-23 22:11 Andreas Sturmlechner
2019-12-16 10:49 Miroslav Šulc
2019-12-15 19:47 Miroslav Šulc
2019-12-15 17:39 Miroslav Šulc
2019-12-15 15:54 Miroslav Šulc
2019-12-15 14:09 Miroslav Šulc
2019-08-01 21:36 Andreas Sturmlechner
2019-03-10 22:46 Andreas Sturmlechner
2018-10-04 19:14 Andreas Sturmlechner
2018-01-06 15:29 Ulrich Müller
2017-08-31 13:21 Tim Harder
2017-08-04  0:43 Tim Harder
2017-06-03 20:52 David Seifert
2017-04-23 11:29 David Seifert
2016-12-10 20:48 Tim Harder
2016-12-08  5:16 Tim Harder
2016-08-07  9:10 Tim Harder
2016-04-02 16:49 Tim Harder
2015-11-27 13:07 Sergey Popov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1518557151.2eff6c67fb2f2e265c3210da83cfe891da567e8f.radhermit@gentoo \
    --to=radhermit@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox